Package org.eclipse.emf.cdo.lm.reviews.util

# Class ReviewsSwitch<T>

java.lang.Object
org.eclipse.emf.ecore.util.Switch<T>
org.eclipse.emf.cdo.lm.reviews.util.ReviewsSwitch<T>

public class ReviewsSwitch<T> extends Switch<T>
The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  - `ReviewsPackage`
Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static ReviewsPackage`
`modelPackage`
The cached model package

## Constructor Summary

Constructors
Constructor
Description
`ReviewsSwitch()`
Creates an instance of the switch.

## Method Summary

Modifier and Type
Method
Description
`T`
`caseAuthorable(Authorable object)`
Returns the result of interpreting the object as an instance of 'Authorable'.
`T`
`caseBaseline(Baseline object)`
Returns the result of interpreting the object as an instance of 'Baseline'.
`T`
`caseComment(Comment object)`
Returns the result of interpreting the object as an instance of 'Comment'.
`T`
`caseDeliveryReview(DeliveryReview object)`
Returns the result of interpreting the object as an instance of 'Delivery Review'.
`T`
`caseDropReview(DropReview object)`
Returns the result of interpreting the object as an instance of 'Drop Review'.
`T`
`caseFixedBaseline(FixedBaseline object)`
Returns the result of interpreting the object as an instance of 'Fixed Baseline'.
`T`
`caseFloatingBaseline(FloatingBaseline object)`
Returns the result of interpreting the object as an instance of 'Floating Baseline'.
`T`
`caseModelElement(ModelElement object)`
Returns the result of interpreting the object as an instance of 'Model Element'.
`T`
`caseModuleElement(ModuleElement object)`
Returns the result of interpreting the object as an instance of 'Module Element'.
`T`
`caseReview(Review object)`
Returns the result of interpreting the object as an instance of 'Review'.
`T`
`caseReviewTemplate(ReviewTemplate object)`
Returns the result of interpreting the object as an instance of 'Review Template'.
`T`
`caseStreamElement(StreamElement object)`
Returns the result of interpreting the object as an instance of 'Stream Element'.
`T`
`caseSystemElement(SystemElement object)`
Returns the result of interpreting the object as an instance of 'System Element'.
`T`
`caseTopic(Topic object)`
Returns the result of interpreting the object as an instance of 'Topic'.
`T`
`caseTopicContainer(TopicContainer object)`
Returns the result of interpreting the object as an instance of 'Topic Container'.
`T`
`defaultCase(EObject object)`
Returns the result of interpreting the object as an instance of 'EObject'.
`protected T`
`doSwitch(int classifierID, EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean`
`isSwitchFor(EPackage ePackage)`
Checks whether this is a switch for the given package.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static ReviewsPackage modelPackage
The cached model package

Generated

## Constructor Details

### ReviewsSwitch

public ReviewsSwitch()
Creates an instance of the switch.

Generated

## Method Details

### isSwitchFor

protected boolean isSwitchFor(EPackage ePackage)
Checks whether this is a switch for the given package.

Specified by:
  `isSwitchFor` in class `Switch<T>`
Parameters:
  `ePackage` - the package in question.
Returns:
  whether this is a switch for the given package.
Generated

### doSwitch

protected T doSwitch(int classifierID, EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Overrides:
  `doSwitch` in class `Switch<T>`
Returns:
  the first non-null result returned by a `caseXXX` call.
Generated

### caseAuthorable

public T caseAuthorable(Authorable object)
Returns the result of interpreting the object as an instance of 'Authorable'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Authorable'.
Since:
  1.2
See Also:
  - `doSwitch(EObject)`
Generated

### caseTopicContainer

public T caseTopicContainer(TopicContainer object)
Returns the result of interpreting the object as an instance of 'Topic Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Topic Container'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseComment

public T caseComment(Comment object)
Returns the result of interpreting the object as an instance of 'Comment'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Comment'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseTopic

public T caseTopic(Topic object)
Returns the result of interpreting the object as an instance of 'Topic'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Topic'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseReviewTemplate

public T caseReviewTemplate(ReviewTemplate object)
Returns the result of interpreting the object as an instance of 'Review Template'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Review Template'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseReview

public T caseReview(Review object)
Returns the result of interpreting the object as an instance of 'Review'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Review'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseDeliveryReview

public T caseDeliveryReview(DeliveryReview object)
Returns the result of interpreting the object as an instance of 'Delivery Review'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Delivery Review'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseDropReview

public T caseDropReview(DropReview object)
Returns the result of interpreting the object as an instance of 'Drop Review'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Drop Review'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseModelElement

public T caseModelElement(ModelElement object)
Returns the result of interpreting the object as an instance of 'Model Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Model Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseSystemElement

public T caseSystemElement(SystemElement object)
Returns the result of interpreting the object as an instance of 'System Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'System Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseModuleElement

public T caseModuleElement(ModuleElement object)
Returns the result of interpreting the object as an instance of 'Module Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Module Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseStreamElement

public T caseStreamElement(StreamElement object)
Returns the result of interpreting the object as an instance of 'Stream Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Stream Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseBaseline

public T caseBaseline(Baseline object)
Returns the result of interpreting the object as an instance of 'Baseline'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Baseline'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseFloatingBaseline

public T caseFloatingBaseline(FloatingBaseline object)
Returns the result of interpreting the object as an instance of 'Floating Baseline'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Floating Baseline'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseFixedBaseline

public T caseFixedBaseline(FixedBaseline object)
Returns the result of interpreting the object as an instance of 'Fixed Baseline'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Fixed Baseline'.
See Also:
  - `doSwitch(EObject)`
Generated

### defaultCase

public T defaultCase(EObject object)
Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  - `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
Generated